Subject: Re: bug#35702: xref revert-buffer

From: Dmitry Gutov <[email-masked]>
Date: Sun, 26 May 2019 00:33:33 +0300

On 25.05.2019 19:49, Eli Zaretskii wrote:

> Then I already asked those questions.  The most important one is what
> values can the fetcher variable have, and in what situations (i.e.,
> triggered by what command(s)) will we see each value.

It's akin to asking what values could revert-buffer-function have: 
different ones. Every command that uses the xref UI is responsible for 
creating such a function (though most of current ones have a common 
implementation only parameterized by KIND, see xref--create-fetcher).

I have added some more docstrings and a comment, though. Hope they clear 
up a few things.